/** 
 * @file llsecondlifeurls.h
 * @brief Global URLs to pages on our web site
 *
 * Copyright (c) 2004-2007, Linden Research, Inc.
 * 
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in doc/GPL-license.txt in this distribution, or
 * online at http://secondlife.com/developers/opensource/gplv2
 * 
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file doc/FLOSS-exception.txt in this software distribution, or
 * online at http://secondlife.com/developers/opensource/flossexception
 * 
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 * 
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
 */

#ifndef LL_LLSECONDLIFEURLS_H
#define LL_LLSECONDLIFEURLS_H

// Account registration web page
extern const char CREATE_ACCOUNT_URL[];

// Manage Account
extern const char MANAGE_ACCOUNT[];

extern const char AUCTION_URL[]; 

extern const char EVENTS_URL[];

// Tier up to a new land level.
extern const char TIER_UP_URL[];

// Tier up to a new land level.
extern const char LAND_URL[];

// Upgrade from basic membership to premium membership
extern const char UPGRADE_TO_PREMIUM_URL[];

// How to get DirectX 9
extern const char DIRECTX_9_URL[];

// Out of date VIA chipset
extern const char VIA_URL[];

// Linden Blogs page
extern const char BLOGS_URL[];

// Currency page
extern const char BUY_CURRENCY_URL[];

// LSL script wiki
extern const char LSL_DOC_URL[];

// SL KnowledgeBase page
extern const char SL_KB_URL[];

// Local Url Release Notes
extern const char RELEASE_NOTES[];

#endif
