/** 
* @file lleditmenuhandler.h
* @authors Aaron Yonas, James Cook
*
* Copyright (c) 2006-2007, Linden Research, Inc.
* 
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in doc/GPL-license.txt in this distribution, or
 * online at http://secondlife.com/developers/opensource/gplv2
 * 
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file doc/FLOSS-exception.txt in this software distribution, or
 * online at http://secondlife.com/developers/opensource/flossexception
 * 
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 * 
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
*/

#ifndef LLEDITMENUHANDLER_H
#define LLEDITMENUHANDLER_H

// Interface used by menu system for plug-in hotkey/menu handling
class LLEditMenuHandler
{
public:
	// this is needed even though this is just an interface class.
	virtual ~LLEditMenuHandler();
	
	virtual void	undo();
	virtual BOOL	canUndo();
	
	virtual void	redo();
	virtual BOOL	canRedo();
	
	virtual void	cut();
	virtual BOOL	canCut();
	
	virtual void	copy();
	virtual BOOL	canCopy();
	
	virtual void	paste();
	virtual BOOL	canPaste();
	
	// "delete" is a keyword
	virtual void	doDelete();
	virtual BOOL	canDoDelete();
	
	virtual void	selectAll();
	virtual BOOL	canSelectAll();
	
	virtual void	deselect();
	virtual BOOL	canDeselect();
	
	virtual void	duplicate();
	virtual BOOL	canDuplicate();
};

extern LLEditMenuHandler* gEditMenuHandler;

#endif
